Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.contents.layers
Enum LayerEntity.VisibilityPolicyEnum

    java.lang.Object
      java.lang.Enum<LayerEntity.VisibilityPolicyEnum>
          org.pdfclown.documents.contents.layers.LayerEntity.VisibilityPolicyEnum

All Implemented Interfaces:
  Serializable, Comparable<LayerEntity.VisibilityPolicyEnum>

Enclosing class:
  LayerEntity

    public static enum LayerEntity.VisibilityPolicyEnum

extends Enum<LayerEntity.VisibilityPolicyEnum>

Membership visibility policy [PDF:1.7:4.10.1].

Enum Constant Summary
`AllOff` Visible only if all of the visibility layers are OFF.
`AllOn` Visible only if all of the visibility layers are ON.
`AnyOff` Visible if any of the visibility layers are OFF.
`AnyOn` Visible if any of the visibility layers are ON.

Method Summary
`PdfName` | `getName()`
`static LayerEntity.VisibilityPolicyEnum` | `valueOf(PdfName name)`
`static LayerEntity.VisibilityPolicyEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LayerEntity.VisibilityPolicyEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AllOn

    public static final LayerEntity.VisibilityPolicyEnum AllOn

  Visible only if all of the visibility layers are ON.

### AnyOn

    public static final LayerEntity.VisibilityPolicyEnum AnyOn

  Visible if any of the visibility layers are ON.

### AnyOff

    public static final LayerEntity.VisibilityPolicyEnum AnyOff

  Visible if any of the visibility layers are OFF.

### AllOff

    public static final LayerEntity.VisibilityPolicyEnum AllOff

  Visible only if all of the visibility layers are OFF.

Method Detail

### values

    public static LayerEntity.VisibilityPolicyEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LayerEntity.VisibilityPolicyEnum c : LayerEntity.VisibilityPolicyEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LayerEntity.VisibilityPolicyEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOf

    public static LayerEntity.VisibilityPolicyEnum valueOf(PdfName name)

### getName

    public PdfName getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.